# Changelog

## [Unreleased]

## 16.2.44 (2018-07-10)

### DropDownButton

#### Bug Fixes

- Popup positioning under fixed parent issue fixed.

## 16.2.41 (2018-06-25)

### ButtonGroup

ButtonGroup is a graphical user interface that groups series of buttons horizontally or vertically.

- **Types, Sizes, and Styles** - Provided with different types, sizes and predefined styles of button.

- **Selection** - Supports single and multiple selection behaviors.

- **Orientation** - Supports horizontal and vertical orientations.

- **Nesting** - Supports nesting with drop-down and split button components.

- **Accessibility** - Built-in accessibility features to access all the button group using the keyboard, screen readers, or other assistive technology devices.

### SplitButton

#### Breaking Changes

- UI changes based on design guidelines

## 16.1.28 (2018-03-09)

### SplitButton

#### Bug Fixes

- Style compatibility issue fixed.

## 16.1.24 (2018-02-22)

### DropDownButton

DropDownButton component is used to toggle contextual overlays for displaying list of action items.

- **Sizes** - Provided with different sizes of DropDownButton.

- **Icons and Navigations** - Supports text and icon on the DropDownButton and Popup items. URL can be given to Popup items  that creates the anchor link to navigate to the URL provided.

- **Separator** - Supports Popup items grouping by using the Separator.

- **Accessibility** - Provided with built-in accessibility support that helps to access all the DropDownButton component features through the keyboard, screen readers, or other assistive technology devices.

### SplitButton

SplitButton component has primary and secondary button. Primary button is used to select default action and secondary button is used to toggle contextual overlays for displaying list of action items.

- **Sizes** - Provided with different sizes of SplitButton.

- **Icons and Navigations** - Supports text and icon on the SplitButton and Popup items. URL can be given to Popup items  that creates the anchor link to navigate to the URL provided.

- **Separator** - Supports Popup items grouping by using the Separator.

- **Accessibility** - Provided with built-in accessibility support that helps to access all the SplitButton component features through the keyboard, screen readers, or other assistive technology devices.